ATA_DEV_INIT_PARAMS(9)

NAME
ata_dev_init_params - Issue INIT DEV PARAMS command

SYNOPSIS

unsigned int ata_dev_init_params(struct ata_device * dev, u16 heads, u16 sectors);

ARGUMENTS

dev
    Device to which command will be sent

heads
    Number of heads (taskfile parameter)

sectors
    Number of sectors (taskfile parameter)

LOCKING

Kernel thread context (may sleep)

RETURNS

0 on success, AC_ERR_* mask otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT